/*
 * iparapheur Web
 * Copyright (C) 2019-2025 Libriciel SCOP
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

import { IconDefinition } from '@fortawesome/free-solid-svg-icons';


/**
 * Thanks to this guy : https://github.com/FortAwesome/angular-fontawesome/issues/109#issuecomment-502013878
 *
 * SVG to IconDefinition is straightforward :
 * We can open SVG definitions, and paste its data into an IconDefinition icon.
 *
 * Multiple-path icons can be merged into a single path,
 * joining those with a single space.
 */


export const lsExternalSignature: IconDefinition = {
  prefix: 'ls',
  iconName: 'externalSignature',
  icon: [
    500,
    500,
    [],
    'U+E002', // probably not important for SVG and JS approach
    `M100.22,260.59A48.89,48.89,0,0,0,124,254.13l-35.06,86a10.8,10.8,0,0,1-17.83,3.34L46.72,317.68,11.2,319A10.76,10.76,0,0,1,.82,304.19l30.57-75a48.28,48.28,0,0,0,17.12,9c14.12,3.79,11.06,2.14,16.93,8A48.86,48.86,0,0,0,100.22,260.59Zm43.46-25.73a31.36,31.36,0,0,0-14.32-4.15,31.46,31.46,0,0,0-14.31,4.15A26.77,26.77,0,0,1,81.53,231c-9.94-10.11-11.06-9.46-26.14-13.58a27.35,27.35,0,0,1-19.17-19.52C31.16,178.72,32.48,181,18.73,167a28,28,0,0,1-7-26.66c5.05-19.15,5-16.48,0-35.59a28,28,0,0,1,7-26.67c13.75-14,12.46-11.7,17.49-30.82A27.35,27.35,0,0,1,55.39,27.76C74.2,22.62,71.93,24,85.68,10a26.78,26.78,0,0,1,26.19-7.15c18.81,5.13,16.2,5.13,35,0A26.78,26.78,0,0,1,173,10c13.76,14,11.51,12.66,30.29,17.8a27.36,27.36,0,0,1,19.18,19.52C227.56,66.4,226.24,64.1,240,78.1a28,28,0,0,1,7,26.67c-5,19.14-5,16.47,0,35.59A28,28,0,0,1,240,167c-13.76,14-12.44,11.7-17.49,30.83a27.36,27.36,0,0,1-19.18,19.52c-14.65,4-15.83,3.11-26.13,13.58A26.78,26.78,0,0,1,143.68,234.86Zm-14.32-49.74c35.09,0,63.56-29,63.56-64.7s-28.47-64.69-63.56-64.69-63.55,29-63.55,64.69S94.27,185.12,129.36,185.12ZM247.52,319,212,317.68l-24.43,25.78a10.76,10.76,0,0,1-17.79-3.34l-35.07-86a48.33,48.33,0,0,0,58.56-7.94c5.84-5.84,2.73-4.18,16.93-8a48.4,48.4,0,0,0,17.13-9l30.57,75A10.77,10.77,0,0,1,247.52,319Z M502.12,219.94V381.29c0,26.9-32.8,40.34-51.63,21.52l-45.17-45.18-21,21L271.49,491.45c-4.84,4.83-14.53,9.14-21.51,9.14-6.46,0-16.14-4.31-21-9.14L200.5,462.94a31.18,31.18,0,0,1-3.77-4.3c-3.23-5.38-5.37-11.84-5.37-17.22a32.18,32.18,0,0,1,5.37-16.67,30.6,30.6,0,0,1,3.77-4.3L313.34,307.61l21-21.51-45.18-44.65c-18.83-19.36-5.39-51.63,21.5-51.63H472A30.08,30.08,0,0,1,502.12,219.94Z`,
  ],
// eslint-disable-next-line @typescript-eslint/no-explicit-any
} as any;


export const lsSignature: IconDefinition = {
  prefix: 'ls',
  iconName: 'signature',
  icon: [
    384,
    512,
    [],
    'U+E002', // probably not important for SVG and JS approach
    `M97.12 362.63c-8.69-8.69-4.16-6.24-25.12-11.85-9.51-2.55-17.87-7.45-25.43-13.32L1.2 448.7c-4.39 10.77 3.81 22.47 15.43 22.03l52.69-2.01L105.56 507c8 8.44 22.04 5.81 26.43-4.96l52.05-127.62c-10.84 6.04-22.87 9.58-35.31 9.58-19.5 0-37.82-7.59-51.61-21.37zM382.8 448.7l-45.37-111.24c-7.56 5.88-15.92 10.77-25.43 13.32-21.07 5.64-16.45 3.18-25.12 11.85-13.79 13.78-32.12 21.37-51.62 21.37-12.44 0-24.47-3.55-35.31-9.58L252 502.04c4.39 10.77 18.44 13.4 26.43 4.96l36.25-38.28 52.69 2.01c11.62.44 19.82-11.27 15.43-22.03zM263 340c15.28-15.55 17.03-14.21 38.79-20.14 13.89-3.79 24.75-14.84 28.47-28.98 7.48-28.4 5.54-24.97 25.95-45.75 10.17-10.35 14.14-25.44 10.42-39.58-7.47-28.38-7.48-24.42 0-52.83 3.72-14.14-.25-29.23-10.42-39.58-20.41-20.78-18.47-17.36-25.95-45.75-3.72-14.14-14.58-25.19-28.47-28.98-27.88-7.61-24.52-5.62-44.95-26.41-10.17-10.35-25-14.4-38.89-10.61-27.87 7.6-23.98 7.61-51.9 0-13.89-3.79-28.72.25-38.89 10.61-20.41 20.78-17.05 18.8-44.94 26.41-13.89 3.79-24.75 14.84-28.47 28.98-7.47 28.39-5.54 24.97-25.95 45.75-10.17 10.35-14.15 25.44-10.42 39.58 7.47 28.36 7.48 24.4 0 52.82-3.72 14.14.25 29.23 10.42 39.59 20.41 20.78 18.47 17.35 25.95 45.75 3.72 14.14 14.58 25.19 28.47 28.98C104.6 325.96 106.27 325 121 340c13.23 13.47 33.84 15.88 49.74 5.82a39.676 39.676 0 0 1 42.53 0c15.89 10.06 36.5 7.65 49.73-5.82zM97.66 175.96c0-53.03 42.24-96.02 94.34-96.02s94.34 42.99 94.34 96.02-42.24 96.02-94.34 96.02-94.34-42.99-94.34-96.02z`,
  ],
// eslint-disable-next-line @typescript-eslint/no-explicit-any
} as any;


export const lsSeal: IconDefinition = {
  prefix: 'ls',
  iconName: 'seal',
  icon: [
    500,
    500,
    [],
    'U+E002', // probably not important for SVG and JS approach
    `M437,438.19,392.72,329.55c-7.36,5.74-15.54,10.52-24.82,13-20.59,5.51-16.07,3.11-24.54,11.58a70,70,0,0,1-84.87,11.51l50.82,124.63a15.61,15.61,0,0,0,25.79,4.85l35.4-37.38L422,459.69A15.6,15.6,0,0,0,437,438.19Zm-15.79-289a40.52,40.52,0,0,0-10.17-38.65c-19.94-20.31-18-17-25.35-44.68a39.65,39.65,0,0,0-27.79-28.3C330.71,30.07,334,32,314,11.72a38.82,38.82,0,0,0-38-10.35c-27.22,7.42-23.43,7.42-50.7,0a38.8,38.8,0,0,0-38,10.35C167.46,32,170.76,30.07,143.5,37.52a39.65,39.65,0,0,0-27.79,28.3c-7.29,27.71-5.42,24.37-25.35,44.68a40.54,40.54,0,0,0-10.18,38.65c7.29,27.69,7.33,23.82,0,51.58a40.54,40.54,0,0,0,10.18,38.65c19.93,20.3,18,16.95,25.35,44.68a39.68,39.68,0,0,0,27.79,28.3c21.85,6,23.47,5,37.88,19.67A38.82,38.82,0,0,0,230,337.71a45.64,45.64,0,0,1,20.75-6c6.23,0,15.55,2.7,20.76,6A38.82,38.82,0,0,0,320.05,332c14.93-15.18,16.64-13.87,37.88-19.67a39.68,39.68,0,0,0,27.79-28.3c7.33-27.73,5.41-24.38,25.35-44.68a40.52,40.52,0,0,0,10.17-38.65C414,173,414,176.88,421.24,149.15ZM250.71,265.61c-50.86,0-92.12-42-92.12-93.77s41.26-93.77,92.12-93.77,92.13,42,92.13,93.77S301.58,265.61,250.71,265.61Z`,
  ],
// eslint-disable-next-line @typescript-eslint/no-explicit-any
} as any;


export const lsIpng: IconDefinition = {
  prefix: 'ls',
  iconName: 'ipng',
  icon: [
    500,
    500,
    [],
    'U+E002', // probably not important for SVG and JS approach
    `M160.29,217.09c-7.91,2-13.09,8.63-13.09,17.07q-.06,50.94,0,101.89a17,17,0,0,0,1.52,7.48c3.4,6.92,9,10.13,16.66,10.13q84.63,0,169.28,0c.48,0,1,0,1.44,0a17.07,17.07,0,0,0,13.54-7.2c2.48-3.35,3.14-7.18,3.14-11.23q0-27.57,0-55.14,0-22.65,0-45.3c0-9-5-15.73-13.09-17.7a30.24,30.24,0,0,0-8.17-.42c-1.27,0-1.58-.32-1.57-1.58q.07-16,0-31.92a85.17,85.17,0,0,0-2.38-20.54C322.87,144,312.08,129.42,297,117.88c-13.16-10.09-28.21-14.9-44.71-15.45h-4.52a84.08,84.08,0,0,0-24.52,4.45c-25.28,8.84-53.53,36.18-53.2,75.22.09,11,0,22,0,33.05,0,1.18-.25,1.54-1.48,1.5A31,31,0,0,0,160.29,217.09Zm44-35.12c-.18-22.82,17.41-41,36.77-44.58a45.84,45.84,0,0,1,53.36,33.4,47.24,47.24,0,0,1,1.41,11.78c0,10.85,0,21.7.05,32.55,0,1.37-.49,1.52-1.64,1.52q-22.1,0-44.15,0c-14.72,0-29.45,0-44.16,0-1.34,0-1.66-.31-1.66-1.65C204.28,204,204.33,193,204.24,182Z M454.13,271.32A26.41,26.41,0,0,0,422.46,291c-19.1,82.09-91.38,139.42-175.8,139.42a180.39,180.39,0,0,1-131.49-57.1l19-22.12a26.4,26.4,0,0,0,3.53-29.11,25.93,25.93,0,0,0-25.54-14.4l-85.09,6.44A26.4,26.4,0,0,0,2.75,342.48l6.45,85.1a26.4,26.4,0,0,0,46.33,15.21l25-29.16a233.2,233.2,0,0,0,166.08,69.6c109.11,0,202.52-74.11,227.18-180.23A26.37,26.37,0,0,0,454.13,271.32Z M491.7,97.3a26.4,26.4,0,0,0-46.18-15.67L427,102.78c-43.52-53.11-109.14-86-180.31-86C124.46,16.77,22.26,112.17,14,234a26.4,26.4,0,0,0,24.56,28.12c.59,0,1.21.06,1.8.06a26.41,26.41,0,0,0,26.32-24.6c6.39-94.2,85.47-168,180-168a180.85,180.85,0,0,1,145,73.45L366,172.36a26.4,26.4,0,0,0,19.84,43.79c.57,0,1.13,0,1.73-.06l85.14-5.56a26.41,26.41,0,0,0,24.61-28.06Z`,
  ],
// eslint-disable-next-line @typescript-eslint/no-explicit-any
} as any;


export const lsVisa: IconDefinition = {
  prefix: 'ls',
  iconName: 'visa',
  icon: [
    476.27,
    394.14,
    [],
    'U+E002', // probably not important for SVG and JS approach
    `M344.65,255.26c-.13,18.21-.12,36.42-.37,54.63-.45,32.44-19.25,50.45-52.19,50.83-23.36,.27-46.73,.32-70.1,.41-45.31,.17-90.63,.14-135.94-.38-32.94-.38-51.74-18.39-52.19-50.83-1.03-75.04-.99-150.11,0-225.14,.41-30.67,17.77-49.52,47.86-50.05,36.95-.42,74.91-.83,112.87-1.04,34.27,.24,68.49,.63,101.82,1.01,13.47,.24,24.22,4.32,32.21,11.31l22.17-22.17C330.65,5.86,303.54-.76,270.41,.44,241.4,.13,216.12,0,191.74,0V.04c-26.06-.03-52.91,.1-84.02,.43C72.04-.82,43.22,6.78,22.71,28.08,7.29,44.08,0,66.26,0,88.47v214.56c0,24.09,7.66,48.17,24.06,65.8,14.07,15.12,32.63,24.48,57.8,24.74,36.62,.38,73.25,.49,109.87,.46v.1c15.55-.02,31.1-.18,46.65-.26,9.41-.05,18.81-.03,28.22-.1v-.06c9.89-.07,19.78-.06,29.67-.17,25.17-.26,43.73-9.62,57.8-24.74,16.41-17.63,24.06-41.71,24.06-65.8v-80.2l-33.49,32.45Z M472.24,57.74l-47.22-46.3c-5.21-5.13-13.64-5.12-18.77,.04-25.81,25.83-129.54,129.73-180.61,181.03-16.39-17.07-55.5-57.12-77.43-79.52-4.75-4.84-12.61-4.99-17.53-.26l-49.34,47.32c-2.43,2.35-3.81,5.48-3.83,8.88-.04,3.38,1.26,6.56,3.66,8.95l122.59,122.5c7.38,7.45,14.99,11.23,22.63,11.26h.06c7.46,0,14.81-3.57,21.86-10.62,63.58-63.45,194.52-194.7,224.09-224.34,2.52-2.53,3.9-5.89,3.87-9.46-.03-3.59-1.46-6.96-4.03-9.48Z`,
  ],
// eslint-disable-next-line @typescript-eslint/no-explicit-any
} as any;


export const lsSecondOpinion: IconDefinition = {
  prefix: 'ls',
  iconName: 'secondOpinion',
  icon: [
    480.35,
    382.68,
    [],
    'U+E002', // probably not important for SVG and JS approach
    `M476.32,52.01L429.1,5.71c-5.21-5.13-13.64-5.12-18.77,.04-25.81,25.83-129.54,129.73-180.61,181.03-16.39-17.07-55.5-57.12-77.43-79.52-4.75-4.84-12.61-4.99-17.53-.26l-49.34,47.32c-2.43,2.35-3.81,5.48-3.83,8.88-.04,3.38,1.26,6.56,3.66,8.95l122.59,122.5c7.38,7.45,14.99,11.23,22.63,11.26h.06c7.46,0,14.81-3.57,21.86-10.62,63.58-63.45,194.52-194.7,224.09-224.34,2.52-2.53,3.9-5.89,3.87-9.46-.03-3.59-1.46-6.96-4.03-9.48Z M191.33,343.94c-84.15,0-152.6-68.45-152.6-152.6S107.18,38.73,191.33,38.73c33.28,0,64,10.83,89.11,28.98l28.26-27.16C276.25,15.24,235.58,0,191.33,0,85.82,0,0,85.84,0,191.34s85.82,191.33,191.33,191.33c96.55,0,176.32-71.95,189.2-165.01l-65.55,62.75c-27.72,38.42-72.76,63.53-123.65,63.53Z`,
  ],
// eslint-disable-next-line @typescript-eslint/no-explicit-any
} as any;


export const lsConcurrent: IconDefinition = {
  prefix: 'ls',
  iconName: 'concurrent',
  icon: [
    500,
    500,
    [],
    'U+E002', // probably not important for SVG and JS approach
    `M495,305.2c-3-13.3-6.8-26.3-13.8-38.1-11.1-18.5-27.1-29.2-49.2-29.8a3.6,3.6,0,0,0-3.1,1.2c-23.9,22.4-52.2,29.8-84.1,24.3-17.2-2.9-32.1-10.8-44.9-22.7-2.9-2.7-5.7-3.1-9.2-2.7l-1.4.3c-12.8,1.3-23.3,6.8-32.2,15.2a71.4,71.4,0,0,0-33.8-23.8c-1.6-.5-1.7-1.3-.9-2.6a69.4,69.4,0,0,0,3.8-7.1,90.3,90.3,0,0,0,8.1-54.6,92.6,92.6,0,0,0-32-57.5,94.1,94.1,0,0,0-40.9-20.4,113.5,113.5,0,0,0-11.5-1.6h-.8c-.3.7-.6.6-.9,0H134.4c-.3.6-.6.7-.9,0h-1.3c-2.3.6-4.8.4-7.2.8a96.2,96.2,0,0,0-19,5.5,94.4,94.4,0,0,0-51.5,50.7,93.1,93.1,0,0,0-6.4,51.3,90,90,0,0,0,11.7,32.5c1.4,2.3,1.3,2.4-1.3,3.2a68,68,0,0,0-13.7,6.3c-13,7.9-22.6,19-29.5,32.4-8.5,16.3-12,34.1-14,52.2-.6,5.2-.6,10.4-1,15.7a88.1,88.1,0,0,0,.3,17.8c2.1,18.8,10.5,34.2,24.9,46.3,10,8.4,21.4,13.1,34.6,13.1H222.4a45.2,45.2,0,0,0,14.2-2.1,51.6,51.6,0,0,0,11.5-5.1,38,38,0,0,0,13.8,7.3c1.9.6,4,.5,5.7,1.5H458.9c.1-.1.2-.4.4-.4,9-1,16.5-5.1,22.9-11.4,12.4-12.3,17.8-27.5,17.8-44.6S499,322.7,495,305.2ZM141.4,108.4c37.1.1,70.3,31.3,70.3,70.5s-32.1,70.6-70.6,70.5-71.2-33.3-70.2-70.5C69.9,140.9,103.2,108.3,141.4,108.4Zm78.7,281.2h-79c-25.3,0-50.5-.2-75.7.1-17.1.2-28.4-8.1-36.3-22.4A40.9,40.9,0,0,1,24,348c-.3-18.5,1.1-36.8,6.8-54.6,3.6-11.4,8.8-21.9,17.3-30.5s18.5-12.5,30.1-13.5a3.8,3.8,0,0,1,2.9,1c11.4,9.7,24.3,16.6,39,19.8a95.6,95.6,0,0,0,32,1.7c18.8-2,35.1-9.4,49.4-21.6a4.3,4.3,0,0,1,3.6-.9c16.4,1.7,28.6,10,37.3,23.8h0a106.9,106.9,0,0,0-5.4,13.6,178.4,178.4,0,0,0-8.9,44.5c-.8,10.9-1.6,21.8-.9,32.7a60.1,60.1,0,0,0,6,22.7A30.8,30.8,0,0,1,220.1,389.6Z M353.1,250a84.6,84.6,0,0,0,26.1-.7,77,77,0,0,0,38.3-18.9c23-20.8,31.4-46.7,26.5-77-2.7-16.4-10.5-30.2-22.2-42s-27-20.7-44.6-23.4c-2.3-.3-4.8-.2-7-1.1H355.9c-.1.4-.5.3-.8.4a106.6,106.6,0,0,0-11.3,1.9c-19,4.5-34,15.2-45.8,30.4-9.9,12.7-15.1,27.1-16.2,43.2-.8,13.3.6,26.3,6.3,38.4C301.1,228.8,322.3,245.9,353.1,250Z`,
  ],
// eslint-disable-next-line @typescript-eslint/no-explicit-any
} as any;


export const lsSuperAdmin: IconDefinition = {
  prefix: 'ls',
  iconName: 'superAdmin',
  icon: [
    29.87,
    21.33,
    [],
    'U+E002', // probably not important for SVG and JS approach
    `M9.33,0C6.39,0,4,2.39,4,5.33s2.39,5.33,5.33,5.33,5.33-2.39,5.33-5.33S12.28,0,9.33,0Zm8.47,20.55c-.18,.05-.36,.08-.55,.08-.58,0-1.13-.26-1.5-.7-.41-.49-.86-1.08-1.12-1.78-.27-.75-.07-1.57,.49-2.1-.56-.53-.77-1.35-.49-2.1,.2-.53,.5-1,.82-1.41-.72-.34-1.53-.53-2.39-.53h-.7c-.92,.43-1.95,.67-3.04,.67s-2.11-.24-3.04-.67h-.7c-3.09,0-5.6,2.51-5.6,5.6v1.73c0,1.1,.89,2,2,2h14.67c.48,0,.91-.17,1.26-.44-.05-.11-.09-.22-.12-.34Z M29.07,12.61c-.02-.12-.13-.21-.25-.21h-.34c-.07-.21-.18-.4-.33-.56l.17-.29c.06-.11,.04-.24-.06-.32-.19-.16-.42-.29-.66-.38-.03-.01-.06-.02-.09-.02-.09,0-.17,.05-.22,.13l-.17,.29c-.11-.02-.22-.03-.32-.03s-.22,0-.33,.03l-.17-.29-.02-.03s-.01-.02-.02-.02c-.05-.05-.11-.07-.18-.07-.03,0-.06,0-.09,.02-.24,.09-.46,.22-.66,.38-.1,.08-.12,.22-.06,.32l.17,.29c-.14,.16-.25,.35-.33,.56h-.34c-.12,0-.23,.09-.25,.21-.04,.26-.04,.51,0,.76,.02,.12,.13,.21,.25,.21h.34c.07,.21,.18,.4,.33,.56l-.17,.29c-.06,.11-.04,.24,.06,.32,.19,.16,.42,.29,.66,.38,.03,.01,.06,.02,.09,.02,.07,0,.13-.03,.18-.07,0,0,.02-.02,.02-.02l.02-.03,.17-.29c.11,.02,.22,.03,.33,.03s.22,0,.32-.03l.17,.29c.05,.08,.13,.13,.22,.13,.03,0,.06,0,.09-.02,.24-.09,.46-.22,.66-.38,.1-.08,.12-.22,.06-.32l-.17-.29c.14-.16,.25-.35,.33-.56h.34c.12,0,.23-.09,.25-.21,.04-.26,.04-.51,0-.76Zm-2.26,1.12s-.1,0-.15-.02c-.3-.06-.53-.3-.58-.6-.04-.25,.05-.49,.21-.65,.02-.02,.03-.03,.05-.05,.03-.02,.06-.05,.09-.07,.02-.01,.05-.02,.07-.03,.01,0,.02-.01,.03-.02,.03-.01,.05-.02,.08-.03,.01,0,.02,0,.03,0,.03,0,.06,0,.08-.01,.01,0,.03,0,.04,0,.03,0,.07,0,.1,0,0,0,.01,0,.02,0,.04,0,.08,.01,.12,.02h0c.09,.03,.17,.07,.26,.12,.02,.01,.05,.03,.07,.05,.54,.54,.04,1.28-.54,1.28Z M29.07,18.74c-.02-.12-.13-.21-.25-.21h-.34c-.07-.21-.18-.4-.33-.56l.17-.29c.06-.11,.04-.24-.06-.32-.19-.16-.42-.29-.66-.38-.03-.01-.06-.01-.09-.01-.01,0-.02,0-.03,0s-.02,0-.03,0c-.06,.02-.12,.06-.15,.12l-.17,.29c-.11-.02-.22-.03-.32-.03s-.22,0-.33,.03l-.17-.29s-.02-.03-.03-.04c0,0,0,0-.01-.01-.02-.02-.05-.04-.08-.05-.06-.02-.12-.03-.19,0-.24,.09-.46,.22-.66,.38-.1,.08-.12,.22-.06,.32l.17,.29c-.14,.17-.25,.35-.33,.56h-.34c-.12,0-.23,.09-.25,.21-.04,.26-.04,.52,0,.76,.02,.12,.13,.21,.25,.21h.34c.07,.21,.18,.4,.33,.56l-.17,.29c-.06,.11-.04,.25,.06,.32,.19,.16,.42,.29,.66,.38,.03,.01,.06,.02,.09,.02,.07,0,.13-.03,.18-.07,0,0,.02-.02,.02-.03,0,0,.01-.02,.02-.03l.17-.29c.11,.02,.22,.03,.33,.03s.22,0,.32-.03l.17,.29c.05,.08,.13,.13,.22,.13,.03,0,.06,0,.09-.02,.24-.09,.46-.22,.66-.38,.1-.08,.12-.21,.06-.32l-.17-.29c.14-.16,.25-.35,.33-.56h.34c.12,0,.23-.09,.25-.21,.04-.26,.04-.52,0-.76Zm-2.26,1.12s-.1,0-.15-.02c-.28-.06-.51-.28-.57-.57-.1-.48,.26-.9,.72-.9,.05,0,.1,0,.15,.02,.28,.06,.51,.28,.57,.57,.1,.48-.26,.9-.72,.9Z M24.59,17.04l-.69-.34c.08-.43,.08-.87,0-1.3l.69-.34c.21-.12,.29-.37,.21-.6-.18-.5-.53-.95-.86-1.35-.01-.01-.02-.03-.04-.04-.01-.01-.03-.02-.04-.04-.09-.06-.19-.1-.3-.1-.09,0-.17,.02-.25,.07l-.6,.35c-.33-.28-.71-.5-1.13-.65v-.69c0-.24-.18-.44-.41-.48-.26-.04-.52-.07-.77-.07s-.53,.02-.79,.07c-.23,.04-.4,.25-.4,.48v.69c-.42,.15-.8,.37-1.13,.65l-.6-.35c-.08-.04-.16-.07-.25-.07-.14,0-.28,.06-.37,.18-.06,.07-.12,.15-.19,.23-.27,.34-.53,.71-.68,1.12-.08,.22,0,.48,.22,.6l.68,.35c-.08,.43-.08,.87,0,1.3l-.68,.34c-.21,.12-.3,.37-.22,.6,.18,.49,.53,.95,.87,1.35,.09,.11,.23,.18,.37,.18,.09,0,.17-.02,.25-.07l.6-.34c.17,.15,.36,.28,.57,.4,.18,.1,.36,.18,.56,.25v.69c0,.24,.18,.44,.41,.48,.26,.04,.52,.07,.78,.07s.53-.02,.78-.07c.23-.04,.4-.25,.4-.48v-.69c.42-.14,.8-.37,1.13-.65l.6,.35c.08,.04,.16,.07,.25,.07,.14,0,.28-.06,.37-.18,.33-.4,.69-.85,.87-1.35,.08-.23,0-.48-.22-.6Zm-2.79-.47c-.18,.51-.65,.87-1.18,.94h0s-.09,.01-.13,.01c-.02,0-.04,0-.07,0-.43,0-.82-.19-1.1-.49-.08-.09-.15-.19-.21-.29-.01-.02-.02-.04-.03-.06-.11-.23-.17-.49-.14-.77,0-.04,0-.09,.02-.13,0-.04,.02-.09,.03-.13,0-.03,.02-.06,.03-.09,0-.03,.02-.06,.03-.08,.01-.03,.03-.07,.04-.1,.06-.14,.13-.29,.25-.41,.06-.07,.15-.14,.22-.18,.23-.14,.44-.17,.66-.2,.04,0,.09,0,.13-.01,.02,0,.04,0,.07,0,.99,0,1.75,.97,1.39,2.01Z`,
  ],
// eslint-disable-next-line @typescript-eslint/no-explicit-any
} as any;


export const lsFunctionalAdmin: IconDefinition = {
  prefix: 'ls',
  iconName: 'deskAdmin',
  icon: [
    29.87,
    21.33,
    [],
    'U+E002', // probably not important for SVG and JS approach
    `M14.66,5.33c0,2.95-2.39,5.33-5.33,5.33S4,8.28,4,5.33,6.39,0,9.33,0s5.33,2.39,5.33,5.33Z M17.08,21.29c-.13,.03-.27,.04-.41,.04H2c-1.1,0-2-.9-2-2v-1.73c0-3.09,2.51-5.6,5.6-5.6h.7c.93,.42,1.95,.67,3.04,.67s2.11-.24,3.04-.67h.7c.23,0,.46,.01,.68,.04v5.63c0,1.49,1.21,2.69,2.69,2.69h.59c-.02,.12-.03,.24-.03,.36,0,.2,.03,.39,.08,.57Z M28.65,8.31h-12.21c-.67,0-1.22,.55-1.22,1.22v8.14c0,.67,.55,1.22,1.22,1.22h4.88l-.41,1.22h-1.83c-.34,0-.61,.27-.61,.61s.27,.61,.61,.61h6.92c.34,0,.61-.27,.61-.61s-.27-.61-.61-.61h-1.83l-.41-1.22h4.88c.67,0,1.22-.55,1.22-1.22V9.53c0-.67-.55-1.22-1.22-1.22Zm-.41,8.95h-11.39v-7.32h11.39v7.32Z`,
  ],
// eslint-disable-next-line @typescript-eslint/no-explicit-any
} as any;


export const lsTenantAdmin: IconDefinition = {
  prefix: 'ls',
  iconName: 'tenantAdmin',
  icon: [
    29.89,
    21.33,
    [],
    'U+E002', // probably not important for SVG and JS approach
    `M9.33,0C6.39,0,4,2.39,4,5.33s2.39,5.33,5.33,5.33,5.33-2.39,5.33-5.33S12.28,0,9.33,0Zm3.73,12h-.7c-.92,.43-1.95,.67-3.04,.67s-2.11-.24-3.04-.67h-.7c-3.09,0-5.6,2.51-5.6,5.6v1.73c0,1.1,.89,2,2,2H15.74v-.52c0-.6,.3-1.13,.76-1.45v-6.19c-.95-.74-2.14-1.18-3.43-1.18Z M27.59,20.53h-.48V9.67c0-.31-.26-.57-.57-.57h-8c-.32,0-.57,.26-.57,.57v10.86h-.48c-.16,0-.28,.13-.28,.29v.48h10.66v-.48c0-.16-.13-.29-.29-.29Zm-7.33-9.62c0-.16,.13-.28,.29-.28h.95c.16,0,.29,.13,.29,.28v.95c0,.16-.13,.29-.29,.29h-.95c-.16,0-.29-.13-.29-.29v-.95Zm0,2.29c0-.16,.13-.29,.29-.29h.95c.16,0,.29,.13,.29,.29v.95c0,.16-.13,.28-.29,.28h-.95c-.16,0-.29-.13-.29-.28v-.95Zm1.24,3.52h-.95c-.16,0-.29-.13-.29-.29v-.95c0-.16,.13-.29,.29-.29h.95c.16,0,.29,.13,.29,.29v.95c0,.16-.13,.29-.29,.29Zm1.81,3.81h-1.52v-2c0-.16,.13-.29,.29-.29h.95c.16,0,.28,.13,.28,.29v2Zm1.52-4.09c0,.16-.13,.29-.29,.29h-.95c-.16,0-.29-.13-.29-.29v-.95c0-.16,.13-.29,.29-.29h.95c.16,0,.29,.13,.29,.29v.95Zm0-2.28c0,.16-.13,.28-.29,.28h-.95c-.16,0-.29-.13-.29-.28v-.95c0-.16,.13-.29,.29-.29h.95c.16,0,.29,.13,.29,.29v.95Zm0-2.29c0,.16-.13,.29-.29,.29h-.95c-.16,0-.29-.13-.29-.29v-.95c0-.16,.13-.28,.29-.28h.95c.16,0,.29,.13,.29,.28v.95Z`,
  ],
// eslint-disable-next-line @typescript-eslint/no-explicit-any
} as any;


export const lsSignatureUnknown: IconDefinition = {
  prefix: 'ls',
  iconName: 'signatureUnknown',
  icon: [
    500,
    500,
    [],
    'U+E002', // probably not important for SVG and JS approach
    `m498.04,291.97c5.28,20.09-.35,41.51-14.79,56.22-29,29.53-26.21,24.65-36.87,64.99-5.27,20.09-20.71,35.77-40.42,41.16-30.89,8.44-33.38,6.53-55.1,28.61-18.82,19.14-48.06,22.55-70.66,8.26-7.58-4.83-21.13-8.76-30.2-8.76s-22.55,3.93-30.18,8.76c-22.6,14.28-51.84,10.88-70.66-8.26-20.96-21.31-23.32-19.94-55.1-28.61-19.71-5.4-35.16-21.08-40.42-41.16-10.66-40.33-7.88-35.46-36.87-64.99-14.44-14.71-20.07-36.13-14.81-56.22,10.66-40.38,10.6-34.75,0-75.03-5.27-20.09.36-41.51,14.81-56.22,28.99-29.54,26.27-24.68,36.87-64.99,5.26-20.1,20.71-35.78,40.42-41.16,39.65-10.84,34.85-8.01,63.86-37.53,14.44-14.71,35.51-20.45,55.21-15.05,39.67,10.79,34.15,10.79,73.75,0,19.71-5.4,40.79.35,55.23,15.05,29,29.54,24.26,26.69,63.85,37.53,19.71,5.38,35.16,21.06,40.42,41.16,10.66,40.31,7.87,35.45,36.87,64.99,14.44,14.71,20.07,36.13,14.79,56.22-10.59,40.33-10.59,34.72,0,75.03Z`,
  ],
// eslint-disable-next-line @typescript-eslint/no-explicit-any
} as any;


export const lsSignatureValid: IconDefinition = {
  prefix: 'ls',
  iconName: 'signatureValid',
  icon: [
    500,
    500,
    [],
    'U+E002', // probably not important for SVG and JS approach
    `m498.05,216.94c5.28-20.08-.35-41.51-14.79-56.22-29.01-29.54-26.22-24.68-36.88-64.99-5.27-20.1-20.71-35.78-40.42-41.17-39.6-10.83-34.86-7.98-63.86-37.52-14.45-14.71-35.52-20.46-55.23-15.06-39.6,10.79-34.09,10.79-73.75,0-19.71-5.4-40.78.35-55.22,15.06-29.01,29.51-24.21,26.69-63.86,37.52-19.71,5.39-35.16,21.07-40.42,41.17-10.61,40.31-7.89,35.45-36.88,64.99-14.44,14.71-20.07,36.14-14.8,56.22,10.6,40.28,10.66,34.65,0,75.03-5.27,20.09.36,41.52,14.8,56.22,28.99,29.53,26.22,24.66,36.88,65,5.26,20.09,20.71,35.77,40.42,41.16,31.79,8.67,34.14,7.3,55.1,28.61,18.83,19.15,48.06,22.55,70.67,8.27,7.64-4.83,21.13-8.76,30.18-8.76s22.62,3.93,30.2,8.76c22.6,14.28,51.84,10.88,70.67-8.27,21.71-22.08,24.2-20.17,55.1-28.61,19.71-5.39,35.15-21.07,40.42-41.16,10.66-40.34,7.87-35.47,36.88-65,14.44-14.7,20.07-36.13,14.79-56.22-10.59-40.3-10.59-34.69,0-75.03Zm-86.8-35.35c-24.38,24.45-132.38,132.71-184.82,185.04-5.82,5.81-11.88,8.75-18.04,8.75h-.05c-6.3-.02-12.58-3.14-18.67-9.29l-101.11-101.03c-1.97-1.98-3.05-4.6-3.01-7.39.02-2.8,1.15-5.39,3.16-7.32l40.69-39.03c4.06-3.9,10.53-3.77,14.46.22,18.08,18.48,50.34,51.51,63.86,65.59,42.13-42.32,127.68-128.01,148.97-149.31,4.23-4.26,11.19-4.27,15.48-.04l38.95,38.19c2.12,2.08,3.31,4.86,3.33,7.82.02,2.94-1.12,5.71-3.2,7.8Z`,
  ],
// eslint-disable-next-line @typescript-eslint/no-explicit-any
} as any;


export const lsSignatureInvalid: IconDefinition = {
  prefix: 'ls',
  iconName: 'signatureInvalid',
  icon: [
    500,
    500,
    [],
    'U+E002', // probably not important for SVG and JS approach
    `m498.06,216.94c5.28-20.08-.35-41.51-14.8-56.22-29-29.54-26.21-24.68-36.87-64.99-5.27-20.1-20.72-35.78-40.43-41.17-39.59-10.83-34.85-7.98-63.85-37.52-14.45-14.71-35.53-20.46-55.24-15.06-39.59,10.79-34.08,10.79-73.74,0-19.72-5.4-40.78.35-55.22,15.06-29.01,29.51-24.21,26.69-63.86,37.52-19.71,5.39-35.16,21.07-40.42,41.17-10.61,40.31-7.89,35.45-36.88,64.99-14.44,14.71-20.07,36.14-14.81,56.22,10.61,40.28,10.67,34.65,0,75.03-5.26,20.09.37,41.52,14.81,56.22,28.99,29.53,26.21,24.66,36.88,65,5.26,20.09,20.71,35.77,40.42,41.16,31.78,8.67,34.14,7.3,55.1,28.61,18.82,19.15,48.06,22.55,70.67,8.27,7.63-4.83,21.13-8.76,30.18-8.76s22.62,3.93,30.2,8.76c22.6,14.28,51.84,10.88,70.66-8.27,21.72-22.08,24.21-20.17,55.1-28.61,19.71-5.39,35.16-21.07,40.43-41.16,10.66-40.34,7.87-35.47,36.87-65,14.45-14.7,20.08-36.13,14.8-56.22-10.59-40.3-10.59-34.69,0-75.03ZM227.39,126.22h45.23c6.63,0,11.92,5.55,11.59,12.18l-6.58,131.52c-.31,6.18-5.4,11.03-11.59,11.03h-32.07c-6.19,0-11.29-4.85-11.59-11.03l-6.58-131.52c-.33-6.63,4.95-12.18,11.59-12.18Zm22.61,247.56c-21.33,0-38.68-17.35-38.68-38.68s17.35-38.68,38.68-38.68,38.69,17.35,38.69,38.68-17.36,38.68-38.69,38.68Z`,
  ],
// eslint-disable-next-line @typescript-eslint/no-explicit-any
} as any;
